Bug 9557 - [x86_64] не работает на 64битной платформе
: [x86_64] не работает на 64битной платформе
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/findsym)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-05-13 13:41 by
Modified: 2006-08-29 16:08 (History)


Attachments
Proposal findsym replacement (441 bytes, text/plain)
2006-08-03 18:35, Sir Raorn
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-13 13:41:24
Программа не работает, потому что ищет библиотеки в /usr/lib и /lib, а на
x86_64
надо еще в /usr/lib64 и /lib64 искать.
------- Comment #1 From 2006-05-27 03:03:28 -------
Давно не пользовался этой утилиткой...
------- Comment #2 From 2006-08-03 16:39:44 -------
Никто не хочет сделать патч или NMU?
------- Comment #3 From 2006-08-03 16:45:34 -------
(In reply to comment #2)
> Никто не хочет сделать патч или NMU?

Могу ипатчь выслать и NMU...
------- Comment #4 From 2006-08-03 16:48:10 -------
По хорошему его бы надо переписать под использование ldconfig -p и чтобы умел
принимать более одного символа с командной строки...
------- Comment #5 From 2006-08-03 18:35:31 -------
Created an attachment (id=1553) [details]
Proposal findsym replacement

Я его переписал:

$ time findsym open > /dev/null   
findsym open > /dev/null  58.44s user 24.09s system 111% cpu 1:14.13 total
$ time findsym/findsym open > /dev/null
findsym/findsym open > /dev/null  18.79s user 10.12s system 126% cpu 22.842
total
------- Comment #6 From 2006-08-04 10:09:05 -------
Починю.
------- Comment #7 From 2006-08-04 10:09:52 -------
Fixed in 1.1.1-alt1.